STKRC(1)

NAME
stkrc - Stacker Compiler

SYNOPSIS
stkrc [options] [filename]

DESCRIPTION
The stkrc command is the compiler for the Stacker language. Stacker is a simple stack based, Forth-like language that was written as a demonstration language for LLVM. For details on the language, please see <http://llvm.org/docs/Stacker.html> . The stkrc compiler is fairly minimal. It compiles to bitcode only and doesn't perform any optimizations. The output of stkrc (a bitcode file) can be piped through other LLVM tools for optimization and linking.

If filename is omitted or is "-", then stkrc reads its input from standard input. This is useful for combining the tool into a pipeline.

If an output file is not specified with the -o option, then llvm-as sends its output to a file or standard output by following these rules:

•   If the input is standard input, then the output is standard output.

•   If the input is a file that ends with ".st", then the output file is of the same name, except that the suffix is changed to ".bc".

•   If the input is a file that does not end with the ".st" suffix, then the output file has the same name as the input file, except that the ".bc" suffix is appended.

OPTIONS

-o filename
    Specify the output file name. If filename is "-", then llvm-as sends its output to standard output.

-stats
    Print statistics acquired during compilation.

-time-passes
    Record the amount of time needed for each pass and print it to standard error.

-f  Force the output to be written. Normally, stkrc won't overwrite an existing bitcode file. This option overrides that behavior.

-s stacksize
    Specify the stack size for the program. The default stack size, 1024, should be sufficient for most programs. For very large programs, especially those that recurse a lot, you might want to provide a larger value. Each unit of this value consumes 8 bytes of memory.

-help
    Print a summary of command line options.

EXIT STATUS
If stkrc succeeds, it will exit with 0. Otherwise, if an error occurs, it will exit with a non-zero value, usually 1.

SEE ALSO
llvm-as, <http://llvm.org/docs/Stacker.html>

AUTHORS
Maintained by the LLVM Team (<http://llvm.org>).